devguard

Control coverageUpdate

Update control coverage status and gap.

PATCH
/control-coverage/update/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/control-coverage/update/" \  -H "Content-Type: application/json" \  -d '{    "controlCoverageId": "516513a0-c16e-48ff-8f5e-a7a8dde9cc90",    "coverageStatus": "FULL",    "organizationId": "string"  }'
{
  "id": "string",
  "frameworkAdoptionId": "string",
  "controlId": "string",
  "coverageStatus": "FULL",
  "coverageGap": "string",
  "lastReviewedAt": "string",
  "reviewedBy": "string",
  "policyId": "string",
  "sectionUid": "string",
  "organizationId": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "controlIdentifier": "string",
  "controlName": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?